bootloader not well? #1638

trying to fix error detection mechanism
This commit is contained in:
rusefi 2020-07-25 17:40:16 -04:00
parent ef36b230c2
commit dc303d7323
1 changed files with 2 additions and 3 deletions

View File

@ -11,9 +11,8 @@ BOOTLOADER_CODE_DESTINATION_FILE=$BOOTLOADER_CODE_DESTINATION_PATH/bootloader_ge
echo "$SCRIPT_NAME: Starting bootloader compilation..."
make -j4 -f src/Makefile $1 $2 $3
rm -f blbuild/$BOOTLOADER_CODE_DESTINATION_FILE
[ $? -eq 0 ] || { echo "ERROR: bootloader compilation failed"; exit 1; }
# downstream scripts detect error condition by checking if the output file exists so we need to make sure we remove it
[ $? -eq 0 ] || { echo "ERROR: bootloader compilation failed"; rm -f blbuild/$BOOTLOADER_CODE_DESTINATION_FILE ; exit 1; }
echo "$SCRIPT_NAME: Bootloader build success."